{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Name / Firma / Kommune',
        'columnId': 'name',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name / Company / Municipality'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Straße',
        'columnId': 'straße',
        'ariaLabelId': 'street',
        'ariaLabelName': 'Street'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'PLZ',
        'columnId': 'plz',
        'ariaLabelId': 'postalcode',
        'ariaLabelName': 'Postalcode'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Ort',
        'columnId': 'ort',
        'ariaLabelId': 'city',
        'ariaLabelName': 'City'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Telefon',
        'columnId': 'telefon',
        'ariaLabelId': 'phonenumber',
        'ariaLabelName': 'phonenumber'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Eigentümer'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Nutzer'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'hat Gesuche'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('person_management_person_base_data', {'personId': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.buildDisplayName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getStreetName() }} {{ listItem.getHouseNumber() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPostalCode() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPlaceName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPhoneNumber() }}</td>
    <td class="mdc-data-table__cell">{% if listItem.getPropertyOwners().isEmpty() == false %}<i class="material-icons mdc-button__icon" aria-hidden="true">check</i>{% endif %}</td>
    <td class="mdc-data-table__cell">{% if listItem.getPropertyUsers().isEmpty() == false %}<i class="material-icons mdc-button__icon" aria-hidden="true">check</i>{% endif %}</td>
    <td class="mdc-data-table__cell">{% if listItem.lookingForPropertyRequests().isEmpty() == false %}<i class="material-icons mdc-button__icon" aria-hidden="true">check</i>{% endif %}</td>
{% endblock %}
